/*
 * JPA entity PK template
 */

package de.ivu.elect.business.gruppeimgebiet.entity;

@javax.enterprise.inject.Vetoed
public class GruppeImGebietPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<GruppeImGebietPK> {

  private static final long serialVersionUID = 0L;

  public GruppeImGebietPK() {
    super();
  }

  public GruppeImGebietPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "GruppeImGebietPK:"+getId();
  }

  @Override
  public int compareTo(GruppeImGebietPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
